libauthen-simple-perl_0.5-1_all.deb


Advertisement

Description

libauthen-simple-perl - simple and consistent perl framework for authentication

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libauthen-simple-perl
Package version: 0.5
Package release: 1
Package architecture: all
Package type: deb
Installed size: 78 B
Download size: 21.12 KB
Official Mirror: ftp.br.debian.org
Authen::Simple is the base package for various authentication methods written by the same author and available in the following packages: * libauthen-simple-pam-perl * libauthen-simple-passwd-perl * libauthen-simple-http-perl * libauthen-simple-ldap-perl * libauthen-simple-smb-perl * libauthen-simple-kerberos-perl

Alternatives

    Download

    Source package: libauthen-simple-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libauthen-simple-perl deb package:
      # sudo apt-get install libauthen-simple-perl

    Files

    • /usr/share/doc/libauthen-simple-perl/changelog.Debian.gz
    • /usr/share/doc/libauthen-simple-perl/changelog.gz
    • /usr/share/doc/libauthen-simple-perl/copyright
    • /usr/share/man/man3/Authen::Simple.3pm.gz
    • /usr/share/man/man3/Authen::Simple::Adapter.3pm.gz
    • /usr/share/man/man3/Authen::Simple::Apache.3pm.gz
    • /usr/share/man/man3/Authen::Simple::Log.3pm.gz
    • /usr/share/man/man3/Authen::Simple::Password.3pm.gz
    • /usr/share/perl5/Authen/Simple.pm
    • /usr/share/perl5/Authen/Simple/Adapter.pm
    • /usr/share/perl5/Authen/Simple/Apache.pm
    • /usr/share/perl5/Authen/Simple/Log.pm
    • /usr/share/perl5/Authen/Simple/Password.pm

    Changelog

    2012-05-04 - Florian Schlichting <fschlich@zedat.fu-berlin.de> libauthen-simple-perl (0.5-1) unstable; urgency=low [ gregor herrmann ] * debian/control: Added: ${misc:Depends} to Depends: field. * debian/control: remove DM-Upload-Allowed since Xavier Oswald is a DD now. * Change my email address. [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Salvatore Bonaccorso ] * debian/control: Changed: Replace versioned (build-)dependency on perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as permitted by Debian Policy 3.8.3). [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Florian Schlichting ] * Imported Upstream version 0.5. * Rewrote debian/copyright to use copyright-format 1.0. * Switched to source format 3.0 (quilt). * Switched to short-form debian/rules. * debian/control: + wrap-and-sort (build-)dependencies + removed dependencies on distributions integrated into perl core + removed unused build-dependencies + brushed up short and long description + bumped Standards-Version to 3.9.3 (no further changes) * Bumped dh compatibility to level 8 (no changes necessary). * Added myself to Uploaders.

    2008-02-27 - Xavier Oswald <x.oswald@free.fr> libauthen-simple-perl (0.4-5) unstable; urgency=low * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza); Homepage field (source stanza). Removed: XS- Vcs-Svn fields. Add XS-DM-Upload-Allowed: yes. * debian/rules: - delete /usr/lib/perl5 only if it exists (Closes: #468239). - swap binary-arch and binary-indep, this package is arch:all - remove OPTIMIZE, this package is still arch:all - let install-stamp depend on build-stamp - install upstream changelog - don't install README anymore, it's just the text version of the POD documentation * debian/watch: use dist-based URL. * Set Standards-Version to 3.7.3 (no changes). * Set debhelper compatibility level to 6.

    2007-07-31 - Xavier Oswald <x.oswald@free.fr> libauthen-simple-perl (0.4-4) unstable; urgency=low * Add libauthen-simple-cdbi-perl, libauthen-simple-dbi-perl, libauthen-simple-dbm-perl, libauthen-simple-net-perl, libauthen-simple-radius-perl as Suggests * Add libauthen-simple-ldap-perl as Recommends

    2007-07-10 - Gunnar Wolf <gwolf@debian.org> libauthen-simple-perl (0.4-3) unstable; urgency=low * Dropping Apache 1.x (libapache-mod-perl) as a build-dependency, as it was dropped from the archive (Closes: #432498)

    2007-02-09 - Xavier Oswald <x.oswald@free.fr> libauthen-simple-perl (0.4-2) unstable; urgency=medium [Xavier Oswald] * Add libauthen-simple-kerberos-perl as Recommends (closes: #409924) [Gregor hermann] * Clarify the relation to other libauthen-simple-*-perl package by changing the description and adding a Recommends: field to debian/control. * Urgency set to medium because this upload fixes a bug of severity 'Important'.

    2006-11-02 - Xavier Oswald <x.oswald@free.fr> libauthen-simple-perl (0.4-1) unstable; urgency=low * Initial release (Closes: #396849)

    Advertisement
    Advertisement